%define name kworldwatch
%define version 0.6
%define release 1
%define prefix /usr

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: KDE world watch

Name: %{name}
Version: %{version}
Release: %{release}
Group: Amusements/Graphics
Copyright: Freely distributable
Source: %{name}-%{version}.tgz
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Requires: qt >= 1.40 kdelibs >= 1.0

%changelog

%description
This simple tool shows a revolving world map, indicating the
time in each part of the world. You can set little flags to
mark points of interest. KWorldWatch is able to display the
distribution of daylight around the world.

%description -l fr
Cet outil simple montre une carte du monde en rotation, indicant
l'heure dans chaque partie du monde. Vous pouvez activer des
petit drapeaux pour marquer les points d'intert. KWorldWatch
est capable d'afficher la distribution de la lumire du jour
autour du monde.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
			--prefix=%{prefix}
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip

%files
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{prefix}/bin/kworldwatch

%attr( - ,root,root) %{prefix}/share/applnk
%attr( - ,root,root) %{prefix}/share/apps

%attr(644,root,root) %{prefix}/share/icons/*.xpm
%attr(644,root,root) %{prefix}/share/icons/mini/*.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
